from sqlalchemy import Column, DateTime, Integer, String
from sqlalchemy.sql import func
from src.api.db import Base


class Flight(Base):
    __tablename__ = "flights"

    id = Column(Integer, primary_key=True, autoincrement=True)
    flight_code = Column(String, nullable=False)
    status = Column(String, nullable=False)
    origin = Column(String, nullable=False)
    destination = Column(String, nullable=False)
    departure_time = Column(DateTime, nullable=False)
    arrival_time = Column(DateTime, nullable=False)
    gate = Column(String, nullable=True)
    last_updated = Column(DateTime, default=func.now(), nullable=False)

    # def get_departure_time(self, format="%Y-%m-%d %I:%M %p"):
    #     return self.departure_time.strftime(format)

    # def get_arrival_time(self, format="%Y-%m-%d %I:%M %p"):
    #     return self.arrival_time.strftime(format)

    # def get_last_updated(self, format="%Y-%m-%d %I:%M %p"):
    #     return self.last_updated.strftime(format)
